(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8454,        260]
NotebookOptionsPosition[      7789,        235]
NotebookOutlinePosition[      8238,        253]
CellTagsIndexPosition[      8195,        250]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {"Radical", 
    SqrtBox["\[Placeholder]"], 
    RowBox[{"\[ControlKey]\[LeftModified]2\[RightModified]", " ", "or", " ", 
     RowBox[{"\[ControlKey]\[LeftModified]", "@", "\[RightModified]"}]}]},
   {"Fraction", 
    FractionBox["\[Placeholder]", "\[Placeholder]"], 
    RowBox[{"\[ControlKey]\[LeftModified]", "/", "\[RightModified]"}]},
   {"Superscript", 
    SuperscriptBox["\[Placeholder]", "\[Placeholder]"], 
    RowBox[{"\[ControlKey]\[LeftModified]6\[RightModified]", " ", "or", " ", 
     RowBox[{"\[ControlKey]\[LeftModified]", "^", "\[RightModified]"}]}]},
   {"Subscript", 
    SubscriptBox["\[Placeholder]", "\[Placeholder]"], 
    RowBox[{" ", 
     RowBox[{"\[ControlKey]\[LeftModified]", "-", "\[RightModified]"}]}]},
   {"Above", 
    OverscriptBox["\[Placeholder]", "\[Placeholder]"], 
    "\[ControlKey]\[LeftModified]7\[RightModified]"},
   {"Below", 
    UnderscriptBox["\[Placeholder]", "\[Placeholder]"], 
    RowBox[{"\[ControlKey]\[LeftModified]", "+", "\[RightModified]"}]},
   {
    RowBox[{"Add", " ", "Row"}], 
    RowBox[{"(", GridBox[{
       {"\[Placeholder]"},
       {"\[Placeholder]"}
      }], ")"}], "\[ControlKey]\[SkeletonIndicator]\[ReturnKey]"},
   {
    RowBox[{"Add", " ", "Column"}], 
    RowBox[{"(", GridBox[{
       {"\[Placeholder]", "\[Placeholder]"}
      }], ")"}], 
    RowBox[{"\[ControlKey]\[LeftModified]", ",", "\[RightModified]"}]},
   {
    RowBox[{"Opposite", " ", "Position"}], 
    RowBox[{
     RadicalBox["\[Placeholder]", "\[Placeholder]"], ",", 
     SubsuperscriptBox["\[Placeholder]", "\[Placeholder]", "\[Placeholder]"], 
     ",", 
     UnderoverscriptBox["\[Placeholder]", "\[Placeholder]", 
      "\[Placeholder]"]}], "\[ControlKey]\[LeftModified]5\[RightModified]"}
  },
  GridBoxAlignment->{
   "Columns" -> {Right, Center, {Left}}, "ColumnsIndexed" -> {}, 
    "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[2.0999999999999996`]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.4]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}]], "Text",
 TextAlignment->Center,
 FontFamily->"Helvetica",
 FontSize->18],

Cell[TextData[{
 "To type a special character such as ",
 Cell[BoxData[
  StyleBox["\[Pi]",
   FontWeight->"Bold"]]],
 " into you notebook, you usually will type the two characters '\\[' followed \
by the character's name, and then a closing ']'.  As you type the closing \
bracket, the string of characters you typed will be automatically replaced by \
the corresponding special character.  You can see all the special characters \
and their names in T",
 StyleBox["he ",
  FontSlant->"Italic"],
 StyleBox[ButtonBox["Mathematica Book",
  BaseStyle->"MainBookLink",
  ButtonData:>"A.12.1"],
  FontSlant->"Italic"],
 ".  For example, typing \\ [Pi] results in a ",
 Cell[BoxData[
  StyleBox["\[Pi]",
   FontWeight->"Bold"]]],
 " character, while \\ [GothicCapitalZ] yields ",
 Cell[BoxData[
  StyleBox["\[GothicCapitalZ]",
   FontWeight->"Bold"]]],
 "."
}], "Text",
 FontSize->18],

Cell[TextData[{
 "Many special characters have ",
 StyleBox["aliases",
  FontSlant->"Italic"],
 " you can use to type them more quickly, but they are a little more \
difficult to remember.  To type a character using its alias, press \
\[EscapeKey] (the escape key), type the alias, and then press ",
 StyleBox["\[EscapeKey]",
  FontSize->24],
 " again to complete the character.  For example, ",
 Cell[BoxData["\[Pi]"],
  FontWeight->"Bold"],
 " can also be typed as \[EscapeKey]p\[EscapeKey], and ",
 Cell[BoxData[
  StyleBox["\[GothicCapitalZ]",
   FontWeight->"Bold"]]],
 " as \[EscapeKey]goZ\[EscapeKey].  Again, see ",
 StyleBox["The ",
  FontSlant->"Italic"],
 "A.12.1 to learn character aliases.  If you are familiar with the names \
given to these characters in HTML, ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"T", 
    AdjustmentBox["E",
     BoxBaselineShift->0.5,
     BoxMargins->{{-0.075, -0.085}, {0, 0}}], "X"}]]]],
 ", or SGML, you may find that the name is an alias to the character in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.424841004625*^9, 3.424841004625*^9}},
 FontSize->18],

Cell[CellGroupData[{

Cell["Creating palettes", "Section",
 FontSize->18],

Cell[TextData[{
 "You may find it useful to create palettes that contain typeset forms you \
use most often.  In order to do this you should first create an array of \
empty buttons. Select",
 StyleBox[" ",
  FontFamily->"Futura"],
 StyleBox[ButtonBox["Create Table/Matrix/Palette",
  BaseStyle->"OtherInformationLink"],
  FontFamily->"Futura",
  FontWeight->"Bold"],
 " in the ",
 StyleBox["Input",
  FontFamily->"Futura"],
 " menu.  Click the radio button next to ",
 StyleBox["Palette",
  FontFamily->"Futura",
  FontWeight->"Bold"],
 ", and choose the dimensions for your array of buttons.  Then click OK; the \
array will paste into your notebook."
}], "Text",
 FontSize->18],

Cell[BoxData[GridBox[{
   {
    ButtonBox["\[Placeholder]"], 
    ButtonBox["\[Placeholder]"], 
    ButtonBox["\[Placeholder]"]},
   {
    ButtonBox["\[Placeholder]"], 
    ButtonBox["\[Placeholder]"], 
    ButtonBox["\[Placeholder]"]}
  },
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.]}, 
      Offset[0.2]}, "RowsIndexed" -> {}},
  GridDefaultElement:>ButtonBox["\\[Placeholder]"]]], "Input",
 FontSize->18],

Cell["\<\
Now you should fill in the buttons with the typeset forms you wish to have on \
your palette.  If you want to include places to fill in your data, or places \
where data will be inserted automatically, use \[Placeholder] or \
\[SelectionPlaceholder] respectively as discussed in a previous section.  You \
can type these characters using their long names\[LongDash]\\ [Placeholder] \
and \\ [SelectionPlaceholder]\[LongDash]or their aliases\[LongDash] \
\[EscapeKey]pl\[EscapeKey] and \[EscapeKey]spl\[EscapeKey].\
\>", "Text",
 FontSize->18],

Cell[BoxData[GridBox[{
   {
    ButtonBox[
     FractionBox["\[SelectionPlaceholder]", "\[Placeholder]"]], 
    ButtonBox[
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["\[SelectionPlaceholder]", "\[Placeholder]"], ")"}], "3"]],
     
    ButtonBox[
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["\[SelectionPlaceholder]", "\[Placeholder]"], ")"}], 
      "5"]]},
   {
    ButtonBox[
     SqrtBox[
      FractionBox["\[SelectionPlaceholder]", "\[Placeholder]"]]], 
    ButtonBox[
     RadicalBox[
      FractionBox["\[SelectionPlaceholder]", "\[Placeholder]"], "3"]], 
    ButtonBox[
     RadicalBox[
      FractionBox["\[SelectionPlaceholder]", "\[Placeholder]"], "5"]]}
  },
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.]}, 
      Offset[0.2]}, "RowsIndexed" -> {}},
  GridDefaultElement:>ButtonBox["\\[Placeholder]"]]], "Input",
 FontSize->18]
}, Open  ]]
},
WindowSize->{520, 626},
WindowMargins->{{1, Automatic}, {Automatic, 1}},
WindowTitle->"Basic Tutorial Part 6: Typeset Editing",
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 28, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 2253, 55, 303, "Text"],
Cell[2824, 78, 879, 26, 221, "Text"],
Cell[3706, 106, 1145, 33, 251, "Text"],
Cell[CellGroupData[{
Cell[4876, 143, 51, 1, 68, "Section"],
Cell[4930, 146, 680, 20, 175, "Text"],
Cell[5613, 168, 569, 18, 51, "Input"],
Cell[6185, 188, 552, 9, 195, "Text"],
Cell[6740, 199, 1033, 33, 81, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
